<?php

class AddCreatedModifiedDateFieldsToFormResponses extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'add_create_modified_date_fields_to_form_responses';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_form_builder_form_responses' => array(
					'created' => array('type' => 'datetime', 'null' => true, 'default' => null),
					'modified' => array('type' => 'datetime', 'null' => true, 'default' => null),
				),
				'ev_form_builder_question_block_responses' => array(
					'created' => array('type' => 'datetime', 'null' => true, 'default' => null),
					'modified' => array('type' => 'datetime', 'null' => true, 'default' => null),
				),
				'ev_form_builder_question_responses' => array(
					'created' => array('type' => 'datetime', 'null' => true, 'default' => null),
					'modified' => array('type' => 'datetime', 'null' => true, 'default' => null),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_form_builder_form_responses' => array(
					'created',
					'modified',
				),
				'ev_form_builder_question_block_responses' => array(
					'created',
					'modified',
				),
				'ev_form_builder_question_responses' => array(
					'created',
					'modified',
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
